Subject: Needs Improvement Managers and Directors
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 2 Aug 2000 01:46:00 -0700 (PDT)

Regarding, Managers and Directors who are rated Needs Improvement or Issues 
in ENA...  
Dave Delainey is requesting from each Business Consultant a copy of the 
review and a written plan to rectify performance or counsel them out.  
Thanks, 
hgm